---
updatedAt: 2025-06-02T20:53:28.000Z
agentTools:
  projectIndex: https://docs.aerocrs.com/llms.txt
---

# releaseSeat

This method will allow to release seat, before ticketing.

## Request parameters

| Parameter | Type     | Description   |
| :-------- | :------- | :------------ |
| bookingid | Number\* | The bookingid |
| flighid   | Number\* | The flightid  |
| paxnum    | Number\* | The paxid     |
| seatname  | String\* | The seat name |

> ❗️ - Mandatory parameters

## Response

The method will response if an action was successful or not

| Parameter | Type | Description |
| :-------- | :--- | :---------- |
| success   |      | True/False  |

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "aerocrs-v5",
    "version": "5.0"
  },
  "servers": [
    {
      "url": "https://api.aerocrs.com/v5"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "auth_id"
      },
      "sec1": {
        "type": "apiKey",
        "in": "header",
        "name": "auth_password"
      }
    }
  },
  "security": [
    {
      "sec0": [],
      "sec1": []
    }
  ],
  "paths": {
    "/releaseSeat": {
      "post": {
        "summary": "releaseSeat",
        "description": "This method will allow to release seat, before ticketing.",
        "operationId": "releaseseat",
        "parameters": [
          {
            "name": "auth_id",
            "in": "header",
            "description": "ID provided to you by AeroCRS",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "auth_password",
            "in": "header",
            "description": "Password provided to you by AeroCRS",
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "RAW_BODY": {
                    "type": "string",
                    "description": "The method accepts the XML / JSON input as POST, response format will be according to the sent format. You can try JSON, put the post in the following input and click \"Try It\"",
                    "format": "json"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "releaseSeat": {
                    "value": "{\n  \"aerocrs\": {\n    \"success\": true,\n    \"bookingid\": <bookingId>\n  }\n}"
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```